### Method

# Vips Image icc_export

#### Declaration [src]

    int
    vips_icc_export (
      VipsImage* in,
      VipsImage** out,
      ...
    )

#### Description [src]

Export an image from D65 LAB to device space with an ICC profile.

If `pcs` is set to `VIPS_PCS_XYZ`, use CIE XYZ PCS instead. If `output_profile` is not set, use the embedded profile, if any. If `output_profile` is set, export with that and attach it to the output image.

If `black_point_compensation` is set, LCMS black point compensation is enabled.

Optional arguments

- `pcs`: `VipsPCS`, use XYZ or LAB PCS
- `intent`: `VipsIntent`, transform with this intent
- `black_point_compensation`: `gboolean`, enable black point compensation
- `output_profile`: `gchararray`, get the output profile from here
- `depth`: `gint`, depth of output image in bits.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.